package com.reyun.service;

import java.util.List;

import com.reyun.model.Account;
import com.reyun.model.Profile;

public interface ProfileService {
	
	/**
	 * 获取该app下所有的用户属性
	 * @param appid
	 * @return 
	 */
	List<Profile> listAllByAppkey(Long appid);
	
	/**
	 * 获取该app下所有的用户属性
	 * @param appid
	 * @return 
	 */
	List<Profile> listByAppkey(Long appid);
	
   /**
    * 修改用户属性，只修改alias
	* @param accountid
	* @param profile
    * @return
    */
	Profile update(Profile profile, Long accountid);
	
	Profile enable(String appkey, String attr, Long accountid);
	
	Profile forbidden(String appkey, String attr, Long accountid);

	int updateProfileStatsCondition(Long appId, String attr,boolean flag);

}
